Gibt es ein Tool, mit dem ich meine Website testen kann, ob sie mit einer neueren php-Version noch läuft?

...komplette Frage anzeigen

4 Antworten

Ich befürchte einmal, dass hier tatsächlich Handlungsbedarf bestehen wird. Eine automatische Fehleranalyse-Software, die dir dann auch noch verrät, wie es richtig geht, wirst du leider nicht finden. ;)

Von Version 5.3 sind es ja bereits einige Versionssprünge, um wieder auf den aktuellen Stand zu kommen. Was sich von Version zu Version getan hat, kann hier eingesehen werden:
http://php.net/manual/de/migration54.php

Um nicht am Livestand zu experimentieren, sollte auf jeden Fall eine geeignete Testumgebung geschaffen werden. Auf diese zieht man sich den kompletten Stand des jetzigen Webservers und kann dann beruhigt auch mal Fehler machen und diese wieder beheben, ohne sie live allen zu präsentieren.

Wenn du zum Editieren mit einer IDE, wie Netbeans oder PhpStorm, arbeitest, wird nicht nur der Code besser dargestellt, es werden auch Probleme im Code angezeigt. Dies würde hier die Suche natürlich deutlich erleichtern.
Beim kostenlosen Netbeans wäre hier z.B. die deutsche "HTML/Javascript"-Version interessant:
https://netbeans.org/downloads/

Je nachdem, wie umfangreich dein Shop-System ist, kann die Umstellung entsprechend umfangreich und zeitaufwendig werden. Ein Relaunch auf ein aktuelles System kann daher eine interessante Alternative sein. Da aber auch hier jede Menge Aufwand für Entwicklung und Anpassung zu berücksichtigen ist, sollten alle Faktoren vor einer endgültigen Entscheidung Berücksichtigung finden.

Je nachdem, wie klein deine Kenntnisse tatsächlich sind, wäre das Einbeziehen von professionellen Webentwicklern eventuell eine wirklich sinnvolle Entscheidung.

Antwort bewerten Vielen Dank für Deine Bewertung

Du könntest mal lokal (um den betrieb nicht zu beeinträchtigen) den shop versuchen zu betreiben mit der entsprechenden php version und mit vollem error reporting und warnmeldungen dann siehst du eigentlich auch worans liegt

Antwort bewerten Vielen Dank für Deine Bewertung

Mein gut gemeinter Tipp an dich: Beis lieber in den sauren Apfel und steig um, auf eine aktuelle E-Commerce Lösung. Auf längere Sicht gesehen dir viel Zeit, Ärger und Geld sparen wirst. Zumal die Sicherheit von veralteten Programmen ein Fall für sich ist. 

Welches Shop-Software wird denn derzeit verwendet? Mit etwas Glück ist die Migration auf eine neuere Version oder gar zu einem anderen System problemlos möglich. Mehr kann man jedoch erst sagen, wenn wir wissen mit welchem System oder Framework dein Shop umgesetzt wurde. 

Zu guter Letzt dir sagen kann, das du nicht allein bist. Ich muss aktuell auch einige Projekte neu bzw. umschreiben, da mein Provider ebenfalls ältere PHP Versionen abgestellt hat. Zwar einiges an Arbeit bevorsteht, jedoch die Gelegenheit nutze und mal den Unterbau betroffener Seiten auf den neusten Stand bringe. ;)

LG medmonk 

Antwort bewerten Vielen Dank für Deine Bewertung

Nutzt du ein fertiges Shopsystem oder ist was ne Individuallösung? Bei einem bekannten System wird es eine neuere Version mit mindestens Support für PHP 5.6 geben.

Antwort bewerten Vielen Dank für Deine Bewertung
Kommentar von MaSaMiJo
02.03.2017, 20:39

Die Plattform basiert auf einem alten Script aus dem Jahr 2008, welches ich selbstständig weiterentwickelt habe. Allerdings bin ich eher im Bereich HTML/CSS unterwegs und habe aufwändige php-Erweiterungen von Freelancern programmieren lassen, sofern ich es nicht alleine hinbekommen habe. Jetzt bin ich wahrscheinlich mal wieder so weit. :-(

0

Was möchtest Du wissen?